#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	ShareDir-Install
Summary:	File::ShareDir-Install - Install shared files
Name:		perl-File-ShareDir-Install
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	205f64f0f34217e9199fc7314abf995d
URL:		http://search.cpan.org/dist/File-ShareDir-Install/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl(Class::Inspector) >= 1.12
BuildRequires:	perl(Params::Util) >= 0.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Install shared files.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/auto/share/dist

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/File/ShareDir
%{perl_vendorlib}/File/ShareDir/*.pm
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-ShareDir-Install.git;a=log;h=master

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fa4e0ef
- add dir

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 85010ec
- initial

